Subject: Re: sending email from Cygwin
From: "Pierre A. Humblet" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 14 Jul 2004 22:25:09 -0400

At 12:02 PM 7/15/2004 +1000, [email-masked] wrote:
>On 14 Jul, Pierre A. Humblet wrote:
>>  Thanks for the feedback. 
>>   
>>  The problem is that the exim startup code thinks that you are a
privileged 
>>  user (see "privileged 1" above). It does that by checking that you have
the 
>>  "Create Token" privilege (you have not answered my question about having 
>>  given yourself unusual privileges).  
>>  However you are not in the admins group (544), so you can't setuid after 
>>  all. 
>
>So that the main user of the machine is able to install software, they
>are given admin privileges.  So, I have admin privileges.  I can find
>out more details about what that precisely means by asking our Windows
>sysadmin people, if it would help?

You don't seem to have the admin privilege, at least not in the usual sense
of being in the Administrators group. You are not even a PowerUser.

$ id 
uid=11021(luke) gid=10513(Domain Users) groups=12919(adaytum),10513(Domain
Users),13876(MS_VisualStudio),15155(RitaTS),13761(ZoneAlarm)

Actually another explanation is that your /etc/group file is incomplete.
You don't seem to be in any local group... 
Are the lines produced by "mkgroup -l" in /etc/group?
If not, do "mkgroup -l >> /etc/group" and try exim -c again.
Check also that uid 18 (system) is in /etc/passwd.
Else do "mkpasswd -l >> /etc/passwd"

By the way, exim-config should give you warnings if those files are
incomplete. Did you ever run it?
 
The question I was asking is whether you have the "Create Token" privilege.
You can check that from the Users control panel, or with the
editrights cygwin tool. I am on WinME, so I can't give you
step by step instructions on how to do that. 

If your Windows sysadmin people give you that privilege, I think they
should reconsider their policies. 

Pierre

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/